#!/bin/bash
# Se añade password al grub para que no se le puedan pasar opciones.
# La clave es la de macucula.

GRUBFILE="/boot/grub/menu.lst"

# Nos curamos en salud eliminando todas las ocurrencias de "password"
sed -i '/.*password.*/d' $GRUBFILE

# Se añade el password al principio del fichero (para evitar que se editen las opciones)
sed -i '/menu.lst.*See/ipassword --md5 $1$8LStw$RgmuIDzRiYr.PhwfZaQVG1' $GRUBFILE

# Se añade la opción de clave a la opción de 'single', para evitar entrar con la cuenta de root.
sed -i '/kernel.*single/apassword --md5 $1$8LStw$RgmuIDzRiYr.PhwfZaQVG1' $GRUBFILE

exit 0

